# AccountSetFlagsInterface | xrpl
Documentation for xrpl

# Interface AccountSetFlagsInterface

Map of flags to boolean values representing AccountSet transaction flags.

#### Example

     const accountSetTx: AccountSet = {
       TransactionType: 'AccountSet',
       Account: 'rf1BiGeXwwQoi8Z2ueFYTEXSwuJYfV2Jpn',
       Flags: {
         tfOptionalDestTag: true,
         tfRequireAuth: true
       },
     }

    // Autofill the tx to see how flags actually look compared to the interface usage.
    const autofilledTx = await client.autofill(accountSetTx)
    console.log(autofilledTx)
    // {
    //  TransactionType: 'AccountSet',
    //  Account: 'rf1BiGeXwwQoi8Z2ueFYTEXSwuJYfV2Jpn',
    //  Flags: 393216,
    //  Sequence: 1,
    //  Fee: '12',
    //  LastLedgerSequence: 21971793
    // }

#### Hierarchy

- AccountSetFlagsInterface

- Defined in packages/xrpl/src/models/transactions/accountSet.ts:115

#####
Index

### Properties

tfAllowXRP?
tfDisallowXRP?
tfOptionalAuth?
tfOptionalDestTag?
tfRequireAuth?
tfRequireDestTag?

## Properties

### `Optional` tfAllowXRP

tfAllowXRP?: boolean

- Defined in packages/xrpl/src/models/transactions/accountSet.ts:121

### `Optional` tfDisallowXRP

tfDisallowXRP?: boolean

- Defined in packages/xrpl/src/models/transactions/accountSet.ts:120

### `Optional` tfOptionalAuth

tfOptionalAuth?: boolean

- Defined in packages/xrpl/src/models/transactions/accountSet.ts:119

### `Optional` tfOptionalDestTag

tfOptionalDestTag?: boolean

- Defined in packages/xrpl/src/models/transactions/accountSet.ts:117

### `Optional` tfRequireAuth

tfRequireAuth?: boolean

- Defined in packages/xrpl/src/models/transactions/accountSet.ts:118

### `Optional` tfRequireDestTag

tfRequireDestTag?: boolean

- Defined in packages/xrpl/src/models/transactions/accountSet.ts:116

Generated using TypeDoc